import { Params } from 'react-router-dom';
import Api from '../../helpers/Api';
import { IFlight } from '../Dashboard/CustomerDashboard';

export async function GetFlightData({ params }: { params: Params }): Promise<IFlight> {
  try {
    const result = await Api.get(`Flight/${params.id}`, { withCredentials: true });
    return result.data;
  } catch (error ){
    throw error;
  }    
}
